> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/platform/ja/user-guide/spark/spark-faq.md).

# Spark FAQ

<details>

<summary>従業員との会話中に Spark が作成したすべてのチケットを、確実に報告するにはどうすればよいですか？</summary>

`agent.conversations` テーブルには、会話の結果としてチケットが作成された場合にチケット番号を保存する専用の `ticket_number` フィールドがあります。 詳細なレポートのために、チケットが作成される可能性のある結果については、[Spark のモニタリング](/platform/ja/user-guide/spark/monitoring-spark.md#conversation-outcome-reasons) のドキュメントを参照してください。

過去 7 日間にチケットを作成したすべての会話を一覧表示するには、次のクエリを使用します：

{% code overflow="wrap" lineNumbers="true" %}

```
agent.conversations during past 7d
| where conversations.ticket_number != null
```

{% endcode %}

</details>

<details>

<summary>Spark がエスカレーションした場合だけでなく、すべての Spark 会話に対して ITSM レコードを作成するにはどうすればよいですか？</summary>

追跡、レポート、または監査の目的で、エスカレーション以外の完了した Spark 会話を ITSM に記録するには、標準の Webhook 機能を使用することを Nexthink は推奨します。

ITSM チケットを作成すべき完了済みの会話を特定し、ペイロードに含めるフィールドを指定するには、Webhook のトリガー条件として次の NQL クエリを使用します：

{% code overflow="wrap" lineNumbers="true" %}

```
agent.conversations during past 7d 
| where conversations.outcome != null 
| where conversations.ticket_number == null 
| list conversations.reason, conversations.outcome, conversations.resolution_summary, device.name, user.upn, conversations.intent, conversations.time, conversations.state
```

{% endcode %}

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nexthink.com/platform/ja/user-guide/spark/spark-faq.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
